# MetaElement< algebra::SeriesBase< Self >, T > Class Template Reference
[Series]

Services of every series. More...

Inheritance diagram for MetaElement< algebra::SeriesBase< Self >, T >:
[legend]

List of all members.

## Public Types

typedef algebra::series_traits < T >::semiring_elt_value_t | semiring_elt_value_t
| type of the implementation of semiring_elt (element of semiring).
typedef algebra::series_traits < T >::monoid_elt_value_t | monoid_elt_value_t
| type of the implementation of free monoid element.
typedef Element< typename Self::semiring_t, semiring_elt_value_t > | semiring_elt_t
| type of the element of the semiring element.
typedef Element< typename Self::monoid_t, monoid_elt_value_t > | monoid_elt_t
| type of the element of the monoid.
typedef Self::monoid_t | monoid_t
| type of the monoid.
typedef Self::semiring_t | semiring_t
| type of the semiring
typedef Self | series_set_t
| type of the semiring
typedef Element< Self, T > | element_t
| type of the series.
typedef algebra::series_traits < T >::support_t | support_t
| type of the iterator over the series when finite.

## Public Member Functions

semiring_elt_value_t | get (const monoid_elt_value_t &m) const
| returns the weight associated to a word.
semiring_elt_t | get (const monoid_elt_t &m) const
| returns the weight associated to a word.
void | assoc (const monoid_elt_value_t &m, const semiring_elt_value_t &w)
| Associate a semiring_elt to a word.
void | assoc (const monoid_elt_t &m, const semiring_elt_t &w)
| Associate a weight to a word.
bool | is_finite_app () const
| Whether the series support is finite.
monoid_elt_t | choose_from_supp () const
| A random word that is in the support of the series.
void | transpose ()
| in-place transpose transformation of the series.
support_t | supp () const
| Returns a container which is the support of the series.
Element< Self, T > & | star ()
| In-place star transformation of the weight.
bool | starable () const
| True if we can compute the star of the weight.

## Protected Member Functions

| MetaElement ()
| Default constructor is protected since it is an abstract class.
| MetaElement (const MetaElement &other)
| Copy constructor is protected since it is an abstract class.

## Detailed Description

### template<class Self, typename T>
class vcsn::MetaElement< algebra::SeriesBase< Self >, T >

Services of every series.

Definition at line 117 of file series_base.hh.

## Member Function Documentation

void assoc | ( | const monoid_elt_value_t & | m,
|  | const semiring_elt_value_t & | w |
| ) |  |  |

Associate a semiring_elt to a word.

Remove m if w is zero.

Definition at line 92 of file series_base.hxx.

void assoc | ( | const monoid_elt_t & | m,
|  | const semiring_elt_t & | w |
| ) |  |  |

Associate a weight to a word.

Remove m if w is zero.

Definition at line 102 of file series_base.hxx.

MetaElement< algebra::SeriesBase< Self >, T >::support_t supp | ( |  | ) | const

Returns a container which is the support of the series.

The container elements are couples (m, k) where m is in the support and k is the image of m by the series. The support is accessible only if is_finite_app is true.

Definition at line 134 of file series_base.hxx.